Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001864graphvizBuild/Installpublic2010-04-24 12:462013-10-22 10:31
ReporterPierre 
Assigned Toellson 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSx86-Linux-OS Version
Summary0001864: Problem compiling graphviz 2.26.3
Description



<CD>
[...]
Making all in contrib
make[2]: Entering directory `/tmp/graphviz-2.26.3/contrib'
Making all in prune
make[3]: Entering directory `/tmp/graphviz-2.26.3/contrib/prune'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/tmp/graphviz-2.26.3/contrib/prune'
Making all in diffimg
make[3]: Entering directory `/tmp/graphviz-2.26.3/contrib/diffimg'
/bin/sh ../../libtool --tag=CC --mode=link gcc -s -O3 -march=i686 -Wno-unknown-pragmas -Wstrict-prototypes -Wpointer-arith -Wall -ffast-math -L/usr/local/lib -o diffimg diffimg.o ../../lib/gd/libgvgd_C.la -L/usr/local/lib -lfontconfig -lxml2 -lm -lfreetype -lz -liconv -L/usr/local/lib -lfreetype -lz -ljpeg -L/usr/local/lib -lpng -lz -lm -ldl
libtool: link: gcc -s -O3 -march=i686 -Wno-unknown-pragmas -Wstrict-prototypes -Wpointer-arith -Wall -ffast-math -o diffimg diffimg.o -L/usr/local/lib ../../lib/gd/.libs/libgvgd_C.a /usr/local/lib/libfontconfig.so /usr/local/lib/libxml2.so /usr/local/lib/libiconv.so /usr/local/lib/libfreetype.so /usr/local/lib/libjpeg.so /usr/local/lib/libpng14.so -lz -lm -ldl -Wl,-rpath -Wl,/usr/local/lib -Wl,-rpath -Wl,/usr/local/lib
./../lib/gd/.libs/libgvgd_C.a(gd_png.o): In function `gdImageCreateFromPngCtx':
gd_png.c:(.text+0xe84): undefined reference to `png_check_sig'
collect2: ld returned 1 exit status
make[3]: *** [diffimg] Error 1
make[3]: Leaving directory `/tmp/graphviz-2.26.3/contrib/diffimg'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/graphviz-2.26.3/contrib'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/graphviz-2.26.3'
make: *** [all] Error 2
</CD>
Additional Information

[ellson]
Please install a current version of gd, and don't use the internal version. AFAIK, rhel-4 or earlier are the only platforms on which a reasonably current libgd is not availablel. As soon rhel-6 comes ot I'm going to drop rhel-4 and drop the internal gd sources that we've been carrying for way too long.

[pierre42d]
I have gd 2.0.22 installed

[ellson]
Graphviz needs gd >= 2.0.34

TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENTneeds gd >= 2.0.34
FORMER-ID1934
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT*
VERSION     2.26.3
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user695
2013-10-22 10:31 ellson FIX-COMMENT => needs gd >= 2.0.34
2013-10-22 10:31 ellson Status acknowledged => resolved
2013-10-22 10:31 ellson Resolution open => fixed
2013-10-22 10:31 ellson Status resolved => closed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker